%define kdeprefix /opt/kde
%define version 1.1.1
%define kderelease 1
%define sourcedir stable/1.1.1/distribution/tar/generic/source
%define tag -1.1.1
%define topdirtag -1.1.1
Serial: 3

%define target RedHat 5.1 or 5.2 systems
%define compiler egcs
%define rhseries rh5x
%define redhat redhat-release >= 5.1
%define qtrequired  qt >= 1.42 qt-egcs-10x

%define kdename kdelibs
%define topdir %{kdename}%{topdirtag}
Name: %{kdename}
Summary: K Desktop Environment - Libraries
Version: %{version}
Release: %{kderelease}%{rhseries}
URL: http://www.kde.org
Source: ftp://ftp.kde.org:/pub/kde/%{sourcedir}/%{kdename}%{tag}.tar.gz
Group: X11/KDE/Base
Copyright: LGPL
BuildRoot: /var/tmp/%{kdename}-buildroot
Provides: kdelibs-%{rhseries}
Requires: %{redhat} %{qtrequired} kdesupport-%{rhseries} 
Distribution: KDE
Packager: KDE Packaging Team <redhat-rpms@kde.org>
Vendor: The KDE Team
Prefix: %{kdeprefix}
Prereq: /sbin/ldconfig
%define packages main
%define main kdecore kdeui jscript kimgio khtmlw kfmlib kfile mediatool kspell kab po doc toolbar 
%define subdirs %main 



%description
Libraries for the K Desktop Environment: 
KDE Libraries included: kdecore (KDE core library), kdeui (user interface), 
kfm (file manager), khtmlw (HTML widget), kfile (file access), kspell 
(spelling checker), jscript (javascript), kab (addressbook), kimgio (image 
manipulation), mediatool (sound, mixing and animation).

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{topdir}


%build
export KDEDIR=%{kdeprefix}
CC=%{compiler} ./configure --prefix=%{kdeprefix} --with-install-root=$RPM_BUILD_ROOT --disable-path-check 
make KDEDIR=%{kdeprefix}

%install
export KDEDIR=%{kdeprefix}
for subdir in %{subdirs} ; do
	rm -rf $RPM_BUILD_ROOT/*
	cd $RPM_BUILD_DIR/%{topdir}/$subdir
	make prefix=$RPM_BUILD_ROOT%{kdeprefix} install-strip
	cd $RPM_BUILD_ROOT
	tar -cvf $RPM_BUILD_DIR/$subdir.tar .%{kdeprefix}
done

cd $RPM_BUILD_ROOT
for package in %{packages} ; do
	rm -rf $RPM_BUILD_ROOT/*
        pkgdirs=""
	if [ "$package" = "main" ] ; then pkgdirs="%{main}"
	fi
	for subdir in $pkgdirs ; do
	   tar -xvf $RPM_BUILD_DIR/$subdir.tar
	   rm $RPM_BUILD_DIR/$subdir.tar
	done
        chmod a+x $RPM_BUILD_ROOT%{kdeprefix}/lib/*
	tar -cvf $RPM_BUILD_DIR/$package.pkg.tar .
	find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
		$RPM_BUILD_DIR/file.list.%{kdename}.$package

        find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
		-e '/\/config\//s|^|%config|' >> \
		$RPM_BUILD_DIR/file.list.%{kdename}.$package

	 find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
		$RPM_BUILD_DIR/file.list.%{kdename}.$package
done


# put back subpackage files
cd $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/*
for package in %{packages} ; do
		tar -xvf $RPM_BUILD_DIR/$package.pkg.tar
done



%clean
rm -rf $RPM_BUILD_ROOT
for package in %{packages} ; do
	rm -f $RPM_BUILD_DIR/file.list.%{kdename}.$package
	rm -f $RPM_BUILD_DIR/$package.pkg.tar
done

%post 
/sbin/ldconfig

%postun
/sbin/ldconfig


%files -f ../file.list.%{kdename}.main

%changelog
* Sun Apr 18 1999 <duncan@kde.org>
- updated for KDE-1.1.1

* Sat Feb 13 1999 <duncan@kde.org>
- files in KDEDIR/share/applnk no longer treated as %config files

* Mon Feb 8 1999 <duncan@kde.org>
- new rpm packaging for KDE-1.1
- relocatable rpms






